Create a client contact

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
POST /deals/{dealId}/client-contacts

Creates a client contact in the given deal.

application/json

Body

object object

Responses

  • 201 application/json

    Successfully created the contact.

  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 409 application/json

    Client contact already exists.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 500

    Unknown error. See response body for details.

POST /deals/{dealId}/client-contacts
curl \
 --request POST 'http://api.example.com/deals/{dealId}/client-contacts' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"string (UUID)","type":"string","companyName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","movingOut":"boolean","occupation":"string","principalBusiness":"string","addresses":[{"typeCode":"string","line1":"string","line2":"string","city":"string","provinceCode":"string","postalCode":"string","countryCode":"string"}],"phoneNumbers":[{"typeCode":"string","ext":"string","number":"string"}],"emailAddresses":[{"typeCode":"string","address":"string"}]}'
Request example
{
  "id": "string (UUID)",
  "type": "string",
  "companyName": "string",
  "prefix": "string",
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "suffix": "string",
  "endCode": "string",
  "movingOut": "boolean",
  "occupation": "string",
  "principalBusiness": "string",
  "addresses": [
    {
      "typeCode": "string",
      "line1": "string",
      "line2": "string",
      "city": "string",
      "provinceCode": "string",
      "postalCode": "string",
      "countryCode": "string"
    }
  ],
  "phoneNumbers": [
    {
      "typeCode": "string",
      "ext": "string",
      "number": "string"
    }
  ],
  "emailAddresses": [
    {
      "typeCode": "string",
      "address": "string"
    }
  ]
}
Response examples (201)
{}
Response examples (409)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}